from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XScriptTypeDetector(XInterface, Protocol):
    def beginOfScriptDirection(self, aText: str, nPos: int, nScriptDirection: int) -> int: ...
    def endOfScriptDirection(self, aText: str, nPos: int, nScriptDirection: int) -> int: ...
    def getScriptDirection(self, aText: str, nPos: int, nDefaultScriptDirection: int) -> int: ...
    def beginOfCTLScriptType(self, aText: str, nPos: int) -> int: ...
    def endOfCTLScriptType(self, aText: str, nPos: int) -> int: ...
    def getCTLScriptType(self, aText: str, nPos: int) -> int: ...
